Security Enhanced Linux Reference Policy

# Layer: system

## Module: needrestart

Interfaces

### Description:

Utility to restart daemons after system updates

### Interfaces:

needrestart_domtrans( domain )

##### Summary

Execute needrestart programs in the needrestart domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

needrestart_run( domain , role )

##### Summary

Execute needrestart in the user role

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

Return